Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jeptests
Class RealEvalTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.singularsys.jeptests.JepTest
                  com.singularsys.jeptests.CPTest
                      com.singularsys.jeptests.RealEvalTest

All Implemented Interfaces:
  junit.framework.Test

    public class RealEvalTest

extends CPTest

Field Summary

Fields inherited from class com.singularsys.jeptests.JepTest
`jep, myFalse, myTrue, PRINT_RESULTS`

Constructor Summary
`RealEvalTest(java.lang.String name)`

Method Summary
`void` | `setUp()` Sets up the parser.
`void` | `testChangeVariable()` Test changing variables value after parsing
`void` | `testComplex()`
`void` | `testEvaluate()` Tests the evaluate() method.
`void` | `testListAccess()`
`void` | `testStrings()`
`protected void` | `valueTest(java.lang.String expr, java.lang.Object expected)` Test result j.evaluate(j.parse(expr))

Methods inherited from class com.singularsys.jeptests.CPTest
`testAddOp`

Methods inherited from class com.singularsys.jeptests.JepTest
`calcValue, calcValue, complexValueTest, myAssertEquals, myAssertNaN, nodeTest, nodeTest, nodeTest, nodeTest, parseExceptionWithSpecParser, testAssign, testBinom, testBlankParser, testEvalExceptions, testFormat, testFunction, testIf, testImplicitMul, testLazyLogical, testLogarithm, testLogical, testNaN, testNumbers, testNumParam, testParseException, testPlusPlus, testSetAllowUndeclared, testSimpleSum, testUminusPower, valueTest, valueTestNaN, valueTestString`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RealEvalTest

    public RealEvalTest(java.lang.String name)

Method Detail

### setUp

    public void setUp()

  Description copied from class: `JepTest`
  Sets up the parser.

  Overrides:
    `setUp` in class `CPTest`

### valueTest

    protected void valueTest(java.lang.String expr,
                             java.lang.Object expected)
                      throws java.lang.Exception

  Description copied from class: `JepTest`
  Test result j.evaluate(j.parse(expr))

  Overrides:
    `valueTest` in class `JepTest`
  Parameters:
    `expr` - the expression to parse and evaluate
    `expected` - result expected
  Throws:
    `java.lang.Exception`

### testEvaluate

    public void testEvaluate()
                      throws java.lang.Exception

  Description copied from class: `JepTest`
  Tests the evaluate() method.

  Overrides:
    `testEvaluate` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testComplex

    public void testComplex()
                     throws java.lang.Exception

  Overrides:
    `testComplex` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testChangeVariable

    public void testChangeVariable()

  Description copied from class: `JepTest`
  Test changing variables value after parsing

  Overrides:
    `testChangeVariable` in class `JepTest`

### testListAccess

    public void testListAccess()
                        throws java.lang.Exception

  Overrides:
    `testListAccess` in class `JepTest`
  Throws:
    `java.lang.Exception`

### testStrings

    public void testStrings()
                     throws java.lang.Exception

  Overrides:
    `testStrings` in class `JepTest`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Singular Systems http://www.singularsys.com/jep